#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const globby_1 = __importDefault(require("globby"));
const util_1 = require("util");
const yargs_1 = require("yargs");
const readFileP = util_1.promisify(fs_1.readFile);
const writeFileP = util_1.promisify(fs_1.writeFile);
yargs_1.command('*', 'Disable wp cron in files', (yargs) => yargs
    .option('glob', {
    alias: 'g',
    default: ''
}), async (argv) => {
    const files = await globby_1.default(argv.glob);
    await Promise.all(files.map(async (file) => {
        const content = await readFileP(file, 'utf8');
        const lines = content.split('\n');
        const line = lines.findIndex(l => l.match(/if\s*\(\s*!\s*defined\s*\(\s*["']ABSPATH/i));
        if (line)
            lines.splice(line, lines.length - line, `if ( ! defined( 'ABSPATH' ) )
        define( 'ABSPATH', dirname( __FILE__ ) . '/' );

define('DISABLE_WP_CRON', true);

/** Sets up WordPress vars and included files. */
require_once(ABSPATH . 'wp-settings.php');`);
        await writeFileP(file, Buffer.from(lines.join('\n'), 'utf8'));
    }));
})
    .argv;
